Package org.apache.calcite.avatica

## Class Meta.Pat

- java.lang.Object
- - org.apache.calcite.avatica.Meta.Pat

Enclosing interface:
  Meta

    public static class Meta.Pat
    extends java.lang.Object

Wrapper to remind API calls that a parameter is a pattern (allows '%' and '_' wildcards, per the JDBC spec) rather than a string to be matched exactly.

### Field Summary

Fields
`java.lang.String` `s`

### Constructor Summary

Constructors
`private` `Pat​(java.lang.String s)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Meta.Pat` `of​(java.lang.String name)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### s

    public final java.lang.String s

### Constructor Detail

#### Pat

    private Pat​(java.lang.String s)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### of

    public static Meta.Pat of​(java.lang.String name)